"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.param = void 0;
const yargs_1 = require("yargs");
const constants_1 = require("../../internal/config/constants");
const path_1 = require("path");
exports.param = {
    rcPath: {
        alias: 'p',
        type: 'string',
        description: 'Path to user-flow.config.json. e.g. `./user-flowrc.json`'
    }
};
function get() {
    // we don't rely on yargs option normalization features as this can happen before cli bootstrap
    const { rcPath, p, ["rc-path"]: rc_path } = yargs_1.argv;
    const pathToCfgRc = rcPath || rc_path || p;
    return pathToCfgRc || (0, path_1.join)(constants_1.DEFAULT_RC_PATH, constants_1.DEFAULT_RC_NAME);
}
exports.get = get;
//# sourceMappingURL=rc.js.map